org.apache.felix.ipojo.manipulator.spi.helper

## Class Predicates.Reference

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.helper.Predicates.Reference

Enclosing class:
  Predicates

    public static class Predicates.Reference
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Reference(String refId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Predicate` `exists()` Restrict execution if the `ComponentWorkbench` contains the given reference's name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Reference

    public Reference(String refId)

### Method Detail

#### exists

    public Predicate exists()

Restrict execution if the `ComponentWorkbench` contains the given reference's name.